nz-card([nzBordered]="false")
  nz-table(#userListTable, [nzData]="items", [nzLoading]="loading", [nzLoadingDelay]="200")
    thead
      tr
        th Name
        th Role
        th Email
        th Actions
    tbody
      tr(*ngFor="let item of userListTable.data; trackBy: trackIByItemId")
        td
          span {{ item.username }}
        td
          ryax-status-tag([label]="item.role | ryaxUserRoleLabel", [color]="item.role | ryaxUserRoleColor")
        td
          span {{ item.email }}
        td
          ryax-action-button.mr1(size="small", shape="circle", icon="edit", tooltipText="Edit user", (click)="onEditInfos(item)")
          ryax-action-button.mr1(size="small", shape="circle", icon="safety", tooltipText="Edit password", (click)="onEditPassword(item)")
          ryax-confirm-button(size="small", shape="circle", icon="delete", iconColor="red", tooltipText="Delete user"
            confirmText="Delete this user ?", confirmOkText="Delete", (confirmOk)="onDelete(item)")
